%global srcname jwt
%global distname PyJWT
%global _description \
A Python implementation of JSON Web Token RFC 7519. This library provides a\
means of representing signed content using JSON data structures, including\
claims to be transferred between two parties encoded as digitally signed and\
encrypted JSON objects.

Name:           python3-%{srcname}
Version:        1.6.4
Release:        2%{?dist}
Summary:        JSON Web Token implementation in Python
License:        MIT
URL:            https://github.com/jpadilla/pyjwt
Source0:        https://files.pythonhosted.org/packages/source/P/PyJWT/PyJWT-%{version}.tar.gz
BuildArch:      noarch


%description %{_description}


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-cryptography >= 1.4.0
BuildRequires:  python%{python3_pkgversion}-pytest
Requires:       python%{python3_pkgversion}-cryptography >= 1.4.0


%description -n python%{python3_pkgversion}-%{srcname} %{_description}


%prep
%autosetup -n %{distname}-%{version}
# prevent pulling in `addopts` for pytest run later
rm setup.cfg


%build
%py3_build


%install
%py3_install

# fix dos line endings
# https://github.com/jpadilla/pyjwt/pull/353
sed -e 's/\r$//' -i %{buildroot}%{python3_sitelib}/%{srcname}/__main__.py

# strip shebang
sed -e '/#!\/usr\/bin\/env/d' -i %{buildroot}%{python3_sitelib}/%{srcname}/__main__.py

# rename executable to avoid conflicts with RHEL's python-jwt
mv %{buildroot}%{_bindir}/pyjwt %{buildroot}%{_bindir}/pyjwt-%{python3_version}
ln -s %{_bindir}/pyjwt-%{python3_version} %{buildroot}%{_bindir}/pyjwt-3


%check
py.test-%{python3_version} --verbose tests


%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{distname}-%{version}-py%{python3_version}.egg-info
%{_bindir}/pyjwt-%{python3_version}
%{_bindir}/pyjwt-3


%changelog
* Thu Mar 07 2019 Troy Dawson <tdawson@redhat.com>
- Rebuilt to change main python from 3.4 to 3.6

* Wed Jun 06 2018 Carl George <carl@george.computer> - 1.6.4-1
- Initial package
